import React from 'react';
import { ButtonProps, SpinnerProps } from 'react-bootstrap';
declare type SpinnerPosition = 'left' | 'right';
export declare type ReactBootstrapButtonProps = React.DOMAttributes<HTMLButtonElement> & React.HTMLAttributes<HTMLButtonElement> & Omit<ButtonProps, 'children'> & {
    /**
     * Set button to loading state
     */
    isLoading?: boolean;
    /**
     * Set spinner position
     */
    spinnerPosition?: SpinnerPosition;
    /**
     * Set spinner props
     */
    spinnerProps?: SpinnerProps;
    /**
     * Show message when button in loading state
     */
    loadingMessage?: string;
    /**
     * Display an icon for button
     */
    leftIcon?: React.ReactNode;
    /**
     * Ref for button
     */
    ref?: React.Ref<HTMLButtonElement>;
};
declare const BootstrapButton: React.FC<ReactBootstrapButtonProps>;
export default BootstrapButton;
